Subject: Re: [Sipping] Draft: Functions of Current SBCs

From: Jonathan Rosenberg <[email-masked]>
Date: Wed, 02 Mar 2005 04:28:11 -0500

inline.

Roy, Radhika wrote:

> Medhavi:
>  
> We did discuss this during RFC 3261 (Jonathan R. - is this ALG example 
> for modifying SDP an exception or we are missing something?).

Proxies are not permitted to modify SDP, period. A SIP ALG that does so 
is a violation of RFC3261. Indeed, ALGs present many problems, of which 
SDP rewriting is just one. Please take a look at:

http://www.ietf.org/internet-drafts/draft-iab-nat-traversal-considerations-00.txt

-Jonathan R.
-- 
Jonathan D. Rosenberg, Ph.D.                   600 Lanidex Plaza
Director, Service Provider VoIP Architecture   Parsippany, NJ 07054-2711
Cisco Systems
[email-masked]                              FAX:   (973) 952-5050
http://www.jdrosen.net                         PHONE: (973) 952-5000
http://www.cisco.com

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: Eunsoo Shim <[email-masked]>
Date: Sun, 06 Mar 2005 02:37:32 -0500

Hi, Jonathan,

The document you referred to in the below was very helpful for me.
In particular, I feel the problem mentioned in the text below can affect
the end users and the organization having the (SIP-)ALG noticeably today.

"

Furthermore, extensions to SIP, such as UPDATE
[17] add additional cases. Even if both endpoints in a call support
this specification, they will not be able to implement it if the ALG
does not support it. Of course, the fact that it is not supported by
the ALG will be hard to ascertain because of the diagnostic issues
described above.

"
SIP-ALGs who do not understand a certain extension of the SIP messages
will discard the messages even though the SIP messages are legitimate.
This problem indeed happened in deployments.
Regards,

Eunsoo

Jonathan Rosenberg wrote:

> inline.
>
> Roy, Radhika wrote:
>
>> Medhavi:
>>
>> We did discuss this during RFC 3261 (Jonathan R. - is this ALG
>> example for modifying SDP an exception or we are missing something?).
>
>
> Proxies are not permitted to modify SDP, period. A SIP ALG that does
> so is a violation of RFC3261. Indeed, ALGs present many problems, of
> which SDP rewriting is just one. Please take a look at:
>